// g++ -O3 es.cc
// ****************************************************************

#include "./random_generators.h"
#include "./random_init.h"
#include "./es.h"

using namespace std;

// ****************************************************************

int main()
{ size_t obj_dim, max_number_of_generations;
  double stop_cond_sigma, sigma_init;

// ********************************************
  cout << "#  object parameter dimension = ";
  cin >> obj_dim;
  cout << "\n#  max. number of generations = ";
  cin >> max_number_of_generations;
  cout << "\n#    stopping cond. for sigma < ";
  cin >> stop_cond_sigma;
  cout << "\n#               initial sigma = ";
  cin >> sigma_init;
  cout << "\n# " << endl;
// ********************************************

  Individual initial_parent, final_parent;

// initialize parent:
  vector<double> obj_init(obj_dim);
  for(size_t i=0; i < obj_dim; i++) 
    obj_init[i] = 100*gaussINIT.SampleNormalZeroOne();
  initial_parent.object_parameter = obj_init;
//
  final_parent = OnePlusOneES( initial_parent, sigma_init, 
                               max_number_of_generations, stop_cond_sigma );
}
